summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbala <balanatarajan@users.noreply.github.com>2005-02-01 22:14:35 +0000
committerbala <balanatarajan@users.noreply.github.com>2005-02-01 22:14:35 +0000
commit031a96166c2ede054b3c19e9280728c7dcdf5bba (patch)
treec26125c463edd60b12941a48ba0fe789e8426b30
parent78252e4ea878913f2e17d59c0fd95e669b05d0d2 (diff)
downloadATCD-031a96166c2ede054b3c19e9280728c7dcdf5bba.tar.gz
ChangeLogTag:`head -1 ChangeLog`
-rw-r--r--ChangeLog13
-rwxr-xr-xbin/make_release38
2 files changed, 29 insertions, 22 deletions
diff --git a/ChangeLog b/ChangeLog
index 03f6c270a28..61d41badd4a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Tue Feb 01 16:12:43 2005 Balachandran Natarajan <bala@dre.vanderbilt.edu>
+
+ * bin/make_release:
+
+ A typo that created problems during tar ball creation.
+
Tue Feb 1 19:44:12 UTC 2005 Johnny Willemsen <jwillemsen@remedy.nl>
* include/makeinclude/platform_vxworks5.5.x.GNU:
@@ -17,9 +23,10 @@ Tue Feb 1 14:30:37 2005 Martin Corino <mcorino@remedy.nl>
* ace/OS_NS_time.inl:
- Moved buflen check in ctime_r() to more global scope. This way we always
- get required behaviour even if OS *with* buflen arg behaves badly (i.e. VxWorks).
-
+ Moved buflen check in ctime_r() to more global scope. This way
+ we always get required behaviour even if OS *with* buflen arg
+ behaves badly (i.e. VxWorks).
+
Tue Feb 1 13:47:12 UTC 2005 Johnny Willemsen <jwillemsen@remedy.nl>
* ace/ace.mpc:
diff --git a/bin/make_release b/bin/make_release
index 5b5cce9c9b1..3c993ba6e03 100755
--- a/bin/make_release
+++ b/bin/make_release
@@ -92,7 +92,7 @@ my $controlled_files = my $release_files = my $release_lib_files = '';
my $release_tag_files = my $release_autoconf_files = '';
my $release_filter = '\\( -name CVS -o -name build \\) -prune -o ' .
'! -name \'.\#*\' ! -name \'\#*\' ! -name \'*~\' ' .
- '! -name \'*.MAK\' !-name \'.cvsignore\' -print';
+ '! -name \'*.MAK\' ! -name \'.cvsignore\' -print';
my $update_versions = 0;
my $create_zips = 1;
@@ -325,7 +325,7 @@ if ($update_versions && "$kit" ne 'ace+tao+ciao') {
my $previous_beta = $beta_v - 1;
$previous_version = "$major_v.$minor_v.$previous_beta";
- &diff ('ACE_wrappers', "ACE-$previous_version", "$ace_tag");
+#### &diff ('ACE_wrappers', "ACE-$previous_version", "$ace_tag");
}
}
}
@@ -344,7 +344,7 @@ if ($update_versions && "$kit" ne 'ace+tao+ciao') {
my $previous_beta = $beta_v - 1;
$previous_version = "$major_v.$minor_v.$previous_beta";
- &diff ('ACE_wrappers/TAO', "TAO-$previous_version", "$tao_tag");
+#### &diff ('ACE_wrappers/TAO', "TAO-$previous_version", "$tao_tag");
}
}
}
@@ -564,9 +564,9 @@ sub update_version_files () {
if ("$exec_prefix") {
print "CIAO version ${major_version}.${minor_version}.${beta_version}\n";
} else {
- &ex ("perl -pi -e 's/version =.*/version = $version/' " .
- "../../bin/MakeProjectCreator/config/ciaoversion.mpb");
- return 1 if $? >> 8;
+### &ex ("perl -pi -e 's/version =.*/version = $version/' " .
+### "../../bin/MakeProjectCreator/config/ciaoversion.mpb");
+### return 1 if $? >> 8;
open (CIAO_VERSION_H, "> ciao/Version.h") ||
die "$0: unable to open ciao/Version.h\n";
@@ -591,9 +591,9 @@ sub update_version_files () {
if ("$exec_prefix") {
print "TAO version ${major_version}.${minor_version}.${beta_version}\n";
} else {
- &ex ("perl -pi -e 's/version =.*/version = $version/' " .
- "../bin/MakeProjectCreator/config/taoversion.mpb");
- return 1 if $? >> 8;
+### &ex ("perl -pi -e 's/version =.*/version = $version/' " .
+### "../bin/MakeProjectCreator/config/taoversion.mpb");
+### return 1 if $? >> 8;
open (TAO_VERSION_H, "> tao/Version.h") ||
die "$0: unable to open tao/Version.h\n";
@@ -614,9 +614,9 @@ sub update_version_files () {
if ("$exec_prefix") {
print "ACE version ${major_version}.${minor_version}.${beta_version}\n";
} else {
- &ex ("perl -pi -e 's/version =.*/version = $version/' " .
- "bin/MakeProjectCreator/config/aceversion.mpb");
- return 1 if $? >> 8;
+## &ex ("perl -pi -e 's/version =.*/version = $version/' " .
+## "bin/MakeProjectCreator/config/aceversion.mpb");
+## return 1 if $? >> 8;
open (ACE_VERSION_H, "> ace/Version.h") ||
die "$0: unable to open ace/Version.h\n";
@@ -691,19 +691,19 @@ sub update_changelog () {
if ($KIT eq 'TAO') {
&ex ("cd ..; $cvs commit -m'$version' " .
- "TAO/VERSION TAO/PROBLEM-REPORT-FORM TAO/ChangeLog $version_h $version_mpb && " .
- "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb; " .
- "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb");
+ "TAO/VERSION TAO/PROBLEM-REPORT-FORM TAO/ChangeLog $version_h && " .
+ "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h; " .
+ "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h");
} elsif ($KIT eq 'CIAO') {
&ex ("cd ../../; $cvs commit -m'$version' " .
"TAO/CIAO/VERSION TAO/CIAO/PROBLEM-REPORT-FORM TAO/CIAO/ChangeLog $version_h $version_mpb && " .
- "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb; " .
- "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb");
+ "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h; " .
+ "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h");
} else {
&ex ("$cvs commit -m'$version' " .
"VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb &&" .
- "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb; " .
- "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h $version_mpb");
+ "chmod 0644 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h; " .
+ "chgrp 1213 VERSION PROBLEM-REPORT-FORM ChangeLog $version_h");
}
return 1 if $? >> 8;